Can't load a module...

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Can't load a module...

Postby h2non » 25. October 2008 13:23

Hi

I compile a new mod using apxs, but, when i come to restart apache server the shell shows me this:

Code: Select all
# /opt/lampp/lampp stopapache
XAMPP: Stopping Apache with SSL...
httpd: Syntax error on line 124 of /opt/lampp/etc/httpd.conf: Cannot load /opt/lampp/modules/mod_bw.so into server: /opt/lampp/modules/mod_bw.so: undefined symbol: apr_atomic_cas


I've done wrong? how can I fix it?
Thanks in advanced!
h2non
 
Posts: 23
Joined: 23. October 2008 13:25
Location: 127.0.0.1

Postby Wiedmann » 25. October 2008 14:18

how can I fix it?

Google knows the answer...
(mod_bw have a "bug" with the current Apache APR.)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby h2non » 25. October 2008 17:20

Well!

Now i use de version 0.8 and runs.

The problem has been end. :-)
h2non
 
Posts: 23
Joined: 23. October 2008 13:25
Location: 127.0.0.1


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests